package p5;
//@JPLAS test
import org.junit.Test;
import static org.junit.Assert.*;

public class IfAndSwitchTest {

	@Test
	public void testIfSample() {
		assertEquals("one", IfAndSwitch.ifSample(1));
		assertEquals("two", IfAndSwitch.ifSample(2));
		assertEquals("default", IfAndSwitch.ifSample(6));
	}
	
	@Test
	public void testOperatorSample() {
		assertEquals("one", IfAndSwitch.operatorSample(1));
		assertEquals("two", IfAndSwitch.operatorSample(2));
		assertEquals("default", IfAndSwitch.operatorSample(10));
	}

	@Test
	public void testSwitchSample() {
		assertEquals("one", IfAndSwitch.switchSample(1));
		assertEquals("two", IfAndSwitch.switchSample(2));
		assertEquals("default", IfAndSwitch.switchSample(4));
	}
@Test
	public void jplasStocker() {
		Report.record(this.getClass().getName());
		
	}

}

//@JPLAS statement
please correct the problem code below
<code>public class IAndWitch {
	public  String IfSmple(int i) {
		if (i == 1) {
			return "one";
		} else if (i == 2) {
			return "tmo";
		} else {
			return "default";
		}
	}
	
	private static String operatorSample(int i) {
		return i==1?"one":i==3?"two":"default";
	}

	public static String switchSample(int i) {
		switch (i) {
		case 1:
			return "one";
		case 2:
			return "couple";
		default:
			return "default";
		}
	}
}

